package com.fxy.tool.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class ToolDetailBean implements Parcelable {

    public String number = ""; //基数
    public String scan_date = ""; //基数扫描时间
    public String realm_id = ""; //基数扫描时间
    public int id = 0; //数据ID
    public int tool_data_id = 0; //所属批次id
    public int scan_result  = -1; //基数扫描结果
    public int rules  = 0; //业务类型, 1 - 查找;  2 - 核对；3 - 扫描
    public int push_status = 0; //状态 1 - 启用;  -1 - 禁用


    @Override
    public int describeContents() {
        return 0;
    }
    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(this.id);
        dest.writeInt(this.rules);
        dest.writeString(this.number);
        dest.writeString(this.scan_date);
        dest.writeString(this.realm_id);
        dest.writeInt(this.tool_data_id);
        dest.writeInt(this.scan_result);
        dest.writeInt(this.push_status);


    }

    public ToolDetailBean() {

    }
    protected ToolDetailBean(Parcel in) {
        this.id = in.readInt();
        this.rules = in.readInt();
        this.number = in.readString();
        this.scan_date = in.readString();
        this.realm_id = in.readString();
        this.tool_data_id = in.readInt();
        this.scan_result = in.readInt();
        this.push_status = in.readInt();

    }

    public static final Parcelable.Creator<ToolDetailBean> CREATOR = new Parcelable.Creator<ToolDetailBean>() {
        @Override
        public ToolDetailBean createFromParcel(Parcel in) {
            return new ToolDetailBean(in);
        }

        @Override
        public ToolDetailBean[] newArray(int size) {
            return new ToolDetailBean[size];
        }
    };
    public int getId() {return this.id; }
    public int getRules() {return this.rules; }
    public String getNumber() {return this.number; }
    public String getScanDate() {return this.scan_date; }
    public String getRealmId() {return this.realm_id; }
    public int getToolDataId() {return this.tool_data_id; }
    public int getIsPdaData() {return this.scan_result; }
    public int getPushStatus() {return this.push_status; }

    public void setPushStatus(int push_status) {
        this.push_status = push_status;
    }
}
